2017-11-27 19 views

Odpowiedz

15

Wygląda 17.11.0 ma problem.

Czy możesz spróbować zainstalować stary jak poniżej?

$ sudo apt install docker-ce=17.09.0~ce-0~raspbian

Albo czekać na poprawki.

(2017.12.5)
Wygląda na to, że 2017-11-29-raspbian-stretch ma ten sam problem. Aby uniknąć aktualizacji przez apt upgrade, wykonaj następujące czynności: Do:
sudo apt-mark hold docker-ce.
I unhold kiedy to naprawi.

+1

Cóż, działa bardzo dziękuję! –

+1

Mogę potwierdzić, że to rozwiązanie sprawdziło się u mnie. RPi B + v3 w dniu 12/5/17. –

+0

Działa tutaj. Czekam na powiadomienie dla 'unhold' :) –

5

Kolejnym rozwiązaniem jest dodanie cgroup_enable=memory cgroup_memory=1 w na końcu linii i ponowne uruchomienie.

+0

Czy mógłbyś nieco rozwinąć implikacje tego? Co to robi? Czy można się spodziewać negatywnych efektów ubocznych? – mh166

+1

Umożliwia grupom sterowania pamięcią, ponieważ teraz prawdopodobnie będzie wymagane uruchamianie okna dokowanego, a przynajmniej nie jest to błąd w oknie dokowanym, jest związany z tym, jak kernel zarządza pamięcią, izoluje zasoby. – agilob

+1

Działa to na zupełnie nowej instalacji opartej na NOOB z rozciąganiem. Aby być nieco bardziej przejrzystym, dodaj te parametry na końcu istniejącej linii poleceń. Nie dodawaj ich jako nowej linii. – dixon1e

Powiązane problemy